BcCertTest (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.test

## Class BcCertTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cert.test.BcCertTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BcCertTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcCertTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCertificate(int id, byte[] bytes)`
    `void` | `checkCreation1()` we generate a self signed certificate for the sake of testing - RSA
    `void` | `checkCreation2()` we generate a self signed certificate for the sake of testing - DSA
    `void` | `checkCreation5()`
    `void` | `checkCRLCreation1()`
    `void` | `checkCRLCreation2()`
    `void` | `checkCRLCreation3()`
    `void` | `checkKeyUsage(int id, byte[] bytes)`
    `void` | `checkSelfSignedCertificate(int id, byte[] bytes)`
    `java.lang.String` | `getName()`
    `void` | `testCertificates()`
    `void` | `testForgedSignature()`
    `void` | `testNullDerNullCert()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BcCertTest

          public BcCertTest()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `junit.framework.TestCase`

    - #### checkCertificate

          public void checkCertificate(int id,
                              byte[] bytes)

    - #### checkKeyUsage

          public void checkKeyUsage(int id,
                           byte[] bytes)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### checkSelfSignedCertificate

          public void checkSelfSignedCertificate(int id,
                                        byte[] bytes)
                                          throws OperatorCreationException,
                                                 java.io.IOException,
                                                 CertException

      Throws:
        `OperatorCreationException`
        `java.io.IOException`
        `CertException`

    - #### checkCreation1

          public void checkCreation1()
                              throws java.lang.Exception

      we generate a self signed certificate for the sake of testing - RSA
      Throws:
        `java.lang.Exception`

    - #### checkCreation2

          public void checkCreation2()
                              throws java.lang.Exception

      we generate a self signed certificate for the sake of testing - DSA
      Throws:
        `java.lang.Exception`

    - #### checkCRLCreation1

          public void checkCRLCreation1()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkCRLCreation2

          public void checkCRLCreation2()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkCRLCreation3

          public void checkCRLCreation3()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### checkCreation5

          public void checkCreation5()
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testForgedSignature

          public void testForgedSignature()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNullDerNullCert

          public void testNullDerNullCert()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCertificates

          public void testCertificates()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`